Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.script
Class AdminManager

    java.lang.Object
      oracle.ifs.common.BaseMain
          oracle.ifs.common.BaseApp
              oracle.ifs.admin.tools.script.AdminManager

All Implemented Interfaces:
  java.lang.Runnable, Logger

    public class AdminManager

extends BaseApp

The `AdminManager.java` class - colleciton of admin tasks test.

Field Summary
`protected AccessControlListAdmin` | `m_AclAdmin`
`protected java.util.Hashtable` | `m_ActiveSections`
`protected ApplicationObjectAdmin` | `m_ApplicationObjectAdmin`
`protected java.lang.String` | `m_ArrayEnclosureBegin`
`protected java.lang.String` | `m_ArrayEnclosureEnd`
`protected java.lang.String` | `m_ArrayValueDelimiter`
`protected AttributeValueAdmin` | `m_AttributeValueAdmin`
`protected CategoryAdmin` | `m_CategoryAdmin`
`protected ClassDomainAdmin` | `m_ClassDomainAdmin`
`protected ClassObjectAdmin` | `m_ClassObjectAdmin`
`protected ContextAdmin` | `m_ContextAdmin`
`protected java.lang.String[]` | `m_CurrentTokenList`
`protected java.lang.String` | `m_DefaultSectionParameterDelimiter`
`protected DefinitionAdmin` | `m_DefinitionAdmin`
`protected DirectoryGroupAdmin` | `m_DirectoryGroupAdmin`
`protected DirectoryServiceAdmin` | `m_DirectoryServiceAdmin`
`protected DirectoryUserAdmin` | `m_DirectoryUserAdmin`
`protected DocumentAdmin` | `m_DocumentAdmin`
`protected boolean` | `m_ExitOnError`
`protected ExtendedPermissionAdmin` | `m_ExtendedPermissionAdmin`
`protected java.lang.String` | `m_ExtendedPermissionPrefix`
`protected FamilyAdmin` | `m_FamilyAdmin`
`protected FolderAdmin` | `m_FolderAdmin`
`protected FormatAdmin` | `m_FormatAdmin`
`protected java.lang.String[]` | `m_InputParamTokenList`
`protected java.util.Hashtable` | `m_InputParamTokenTable`
`protected IfsException` | `m_LastException`
`protected boolean` | `m_LastTaskSuccess`
`protected MediaAdmin` | `m_MediaAdmin`
`protected MountPointAdmin` | `m_MountPointAdmin`
`protected java.lang.String` | `m_NullValueToken`
`protected java.lang.String` | `m_OmitValueToken`
`protected PermissionBundleAdmin` | `m_PermissionBundleAdmin`
`protected java.lang.String` | `m_PermissionBundlePrefix`
`protected PolicyAdmin` | `m_PolicyAdmin`
`protected PropertyBundleAdmin` | `m_PropertyBundleAdmin`
`protected boolean` | `m_ReturnOnError`
`protected SearchObjectAdmin` | `m_SearchObjectAdmin`
`protected java.lang.String` | `m_SectionParameterDelimiter`
`protected SelectorObjectAdmin` | `m_SelectorObjectAdmin`
`protected boolean` | `m_ShowIdsInOutput`
`protected boolean` | `m_ShowStackTraces`
`protected boolean` | `m_SkipCreationIfExists`
`protected boolean` | `m_SkipFreeIfNotExists`
`protected SystemLockObjectAdmin` | `m_SystemLockObjectAdmin`
`protected Transaction` | `m_TaskTransaction`
`protected boolean` | `m_TestMode`
`protected Transaction` | `m_TestModeTransaction`
`protected boolean` | `m_TraceSections`
`protected UserProfileAdmin` | `m_UserProfileAdmin`
`protected ValueDefaultAdmin` | `m_ValueDefaultAdmin`
`protected java.lang.String` | `m_ValueDelimiter`
`protected ValueDomainAdmin` | `m_ValueDomainAdmin`
`protected java.lang.String` | `m_ValueFormatDelimiter`
`protected VersionDescriptionAdmin` | `m_VersionDescriptionAdmin`
`protected VersionSeriesAdmin` | `m_VersionSeriesAdmin`

Fields inherited from class oracle.ifs.common.BaseApp
`m_currentuser, m_session`

Fields inherited from class oracle.ifs.common.BaseMain
`m_defaultWriter, m_logWriter, m_parametertable, m_timervalue`

Constructor Summary
`AdminManager()` Default constructor
`AdminManager(java.lang.String[] args)` The only constructor that is being used.

Method Summary
`protected void` | `addGlobalToken(java.lang.String key, java.lang.String string)` addGlobalToken() - add a new token to the globla table, so that it can be used via the $$ replacement syntax.
`protected void` | `ensureNotTestMode()` ensureNotTestMode() - throw an exception if in testmode
`AccessControlListAdmin` | `getAccessControlListAdmin()` get the AccessControlList admin task manager
`ApplicationObjectAdmin` | `getApplicationObjectAdmin()` get the ApplicationObject admin task manager
`AttributeValueAdmin` | `getAttributeValueAdmin()` get the AttributeValue admin task manager
`protected AttributeValue[]` | `getAVArrayFromBooleanNamedTokenArray(LibrarySession sess, java.lang.String token, java.lang.String valueDelim, java.lang.String arrayvalueDelim)` getAVArrayFromBooleanNamedTokenArray() - get an AV[] from token of the form {name1 : false, name2 : true}.
`protected AttributeValue[]` | `getAVArrayFromStringNamedTokenArray(LibrarySession sess, java.lang.String token, java.lang.String valueDelim, java.lang.String arrayvalueDelim)` getAVArrayFromStringNamedTokenArray() - get an AV[] from token of the form {name1 : value1, name2 : value2}.
`protected java.lang.Boolean` | `getBoolean(ParameterTable params, java.lang.String key)` getBoolean() - ParameterTable-like method, that also replaces the value if it's an ArgumentSpec (i.e.
`protected boolean` | `getBoolean(ParameterTable params, java.lang.String key, boolean defValue)` getBoolean() - ParameterTable-like method, that also replaces the value if it's an ArgumentSpec (i.e.
`protected AttributeValue` | `getBooleanArrayAVFromToken(LibrarySession sess, java.lang.String token, java.lang.String valueDelim, java.lang.String arrayvalueDelim)` getBooleanArrayAVFromToken() - get an AV of type Boolean array from a token.
`protected AttributeValue` | `getBooleanAVFromToken(LibrarySession sess, java.lang.String token, java.lang.String valueDelim)` getBooleanAVFromToken() - get an AV of type Boolean from a token.
`CategoryAdmin` | `getCategoryAdmin()` get the CategoryAdmin task manager
`ClassDomainAdmin` | `getClassDomainAdmin()` get the ClassDomain admin task manager
`ClassObjectAdmin` | `getClassObjectAdmin()` get the ClassObject admin task manager
`protected AttributeValue` | `getClassObjectArrayAVFromToken(LibrarySession sess, java.lang.String token, java.lang.String valueDelim, java.lang.String arrayvalueDelim)` getClassObjectArrayAVFromToken() - get an AV of type ClassObject array from a token.
`ContextAdmin` | `getContextAdmin()` get the Context admin task manager
`protected AttributeValue` | `getDateArrayAVFromToken(LibrarySession sess, java.lang.String token, java.lang.String valueDelim, java.lang.String arrayvalueDelim, java.lang.String valueFormatDelim)` getDateArrayAVFromToken() - get an AV of type Date array from a token.
`protected AttributeValue` | `getDateAVFromToken(LibrarySession sess, java.lang.String token, java.lang.String valueDelim, java.lang.String valueformatDelim)` getDateAVFromToken() - get an AV of type Date from a token.
`protected java.util.Date` | `getDateFromToken(java.lang.String token, java.lang.String valueformatDelim)` getDateFromToken() - get Date from a value of the form "datevalue ; dateformat".
`DefinitionAdmin` | `getDefinitionAdmin()` get the DefinitionAdmin admin task manager
`protected LibraryObjectDefinition` | `getDefinitionFromSectionParams(LibrarySession sess, ParameterTable params)` getDefinitionFromSectionParams() - returns a cloned LibraryObjectDefinition is an explicit Definition specified in the Section.
`DirectoryGroupAdmin` | `getDirectoryGroupAdmin()` get the DirectoryGroup admin task manager
`DirectoryServiceAdmin` | `getDirectoryServiceAdmin()` get the DirectoryService admin task manager
`DirectoryUserAdmin` | `getDirectoryUserAdmin()` get the DirectoryUser admin task manager
`DocumentAdmin` | `getDocumentAdmin()` get the Documentadmin task manager
`protected AttributeValue` | `getDoubleArrayAVFromToken(LibrarySession sess, java.lang.String token, java.lang.String valueDelim, java.lang.String arrayvalueDelim, java.lang.String valueFormatDelim)` getDoubleArrayAVFromToken() - get an AV of type Double array from a token.
`protected AttributeValue` | `getDoubleAVFromToken(LibrarySession sess, java.lang.String token, java.lang.String valueDelim, java.lang.String valueformatDelim)` getDoubleAVFromToken() - get an AV of type Date from a token.
`protected java.lang.Double` | `getDoubleFromToken(java.lang.String token, java.lang.String valueformatDelim)` getDateFromToken() - get Double from a value of the form "doublevalue ; dateformat".
`ExtendedPermissionAdmin` | `getExtendedPermissionAdmin()` get the ExtendedPermission admin task manager
`FamilyAdmin` | `getFamilyAdmin()` get the Family admin task manager
`FolderAdmin` | `getFolderAdmin()` get the Folder admin task manager
`FormatAdmin` | `getFormatAdmin()` get the Format admin task manager
`protected java.lang.Integer` | `getInteger(ParameterTable params, java.lang.String key)` getInteger() - ParameterTable-like method, that also replaces the value if it's an ArgumentSpec (i.e.
`protected int` | `getInteger(ParameterTable params, java.lang.String key, int defValue)` getInteger() - ParameterTable-like method, that also replaces the value if it's an ArgumentSpec (i.e.
`protected AttributeValue` | `getIntegerArrayAVFromToken(LibrarySession sess, java.lang.String token, java.lang.String valueDelim, java.lang.String arrayvalueDelim)` getIntegerArrayAVFromToken() - get an AV of type Integer array from a token.
`protected AttributeValue` | `getIntegerAVFromToken(LibrarySession sess, java.lang.String token, java.lang.String valueDelim)` getIntegerAVFromToken() - get an AV of type Integer from a token.
`protected java.lang.String` | `getLineSeparator()` getLineSeparator() - returns the new line sequence
`protected java.lang.Long` | `getLong(ParameterTable params, java.lang.String key)` getLong() - ParameterTable-like method, that also replaces the value if it's an ArgumentSpec (i.e.
`protected long` | `getLong(ParameterTable params, java.lang.String key, long defValue)` getLong() - ParameterTable-like method, that also replaces the value if it's an ArgumentSpec (i.e.
`protected AttributeValue` | `getLongArrayAVFromToken(LibrarySession sess, java.lang.String token, java.lang.String valueDelim, java.lang.String arrayvalueDelim)` getLongArrayAVFromToken() - get an AV of type Long array from a token.
`protected AttributeValue` | `getLongAVFromToken(LibrarySession sess, java.lang.String token, java.lang.String valueDelim)` getLongAVFromToken() - get an AV of type Long from a token.
`MediaAdmin` | `getMediaAdmin()` get the Media admin task manager
`MountPointAdmin` | `getMountPointAdmin()` get the Mount point admin task manager
`protected java.lang.String` | `getNameFromNamedToken(java.lang.String token, java.lang.String valueDelim)` getNameFromNamedToken() - get name from a token of the form "name : value".
`protected java.lang.String` | `getNullToken()` getNullToken() - returns the current NULL token
`protected java.lang.String` | `getOmitToken()` getOmitToken() - returns the current OMIT token
`PermissionBundleAdmin` | `getPermissionBundleAdmin()` get the PermissionBundle admin task manager
`PolicyAdmin` | `getPolicyAdmin()` get the Policy admin task manager
`protected AttributeValue` | `getPolicyArrayAVFromToken(LibrarySession sess, java.lang.String token, java.lang.String valueDelim, java.lang.String arrayvalueDelim)` getPolicyArrayAVFromToken() - get an AV of type SystemObject array from a token.
`PropertyBundleAdmin` | `getPropertyBundleAdmin()` get the PropertyBundle admin task manager
`SearchObjectAdmin` | `getSearchObjectAdmin()` get the SearchObject admin task manager
`SelectorObjectAdmin` | `getSelectorObjectAdmin()` get the SelectorObject admin task manager
`protected java.lang.String` | `getString(ParameterTable params, java.lang.String key)` getString() - ParameterTable-like method, that also replaces the value if it's an ArgumentSpec (i.e.
`protected java.lang.String` | `getString(ParameterTable params, java.lang.String key, java.lang.String defValue)` getString() - ParameterTable-like method, that also replaces the value if it's an ArgumentSpec (i.e.
`protected AttributeValue` | `getStringArrayAVFromToken(LibrarySession sess, java.lang.String token, java.lang.String valueDelim, java.lang.String arrayvalueDelim)` getStringArrayAVFromToken() - get an AV of type String array from a token.
`protected AttributeValue` | `getStringAVFromToken(LibrarySession sess, java.lang.String token, java.lang.String valueDelim)` getStringAVFromToken() - get an AV of type String from a token.
`protected java.lang.String` | `getStringExposeNull(ParameterTable params, java.lang.String key)` getStringExposeNull() - ParameterTable-like method, that also replaces the value if it's an ArgumentSpec (i.e.
`java.lang.String` | `getStringId(LibraryObject obj)` Get an object's Id suitable for printing to canonlog.
`protected java.lang.String[]` | `getStrings(ParameterTable params, java.lang.String key)` getStrings() - ParameterTable-like method, that also replaces the value if it's an ArgumentSpec (i.e.
`protected java.lang.String[]` | `getStringsFromArrayToken(java.lang.String token, java.lang.String arrayvalueDelim)` getStringsFromArrayToken() - get String array from a value of the form "{value1, value2, value3}".
`SystemLockObjectAdmin` | `getSystemLockObjectAdmin()` get the SystemLockObject admin task manager
`UserProfileAdmin` | `getUserProfileAdmin()` get the UserProfile admin task manager
`ValueDefaultAdmin` | `getValueDefaultAdmin()` get the ValueDefault admin task manager
`ValueDomainAdmin` | `getValueDomainAdmin()` get the ValueDomain admin task manager
`protected java.lang.String` | `getValueFromNamedToken(java.lang.String token, java.lang.String valueDelim)` getValueFromNamedToken() - get value from a token of the form "name : value".
`protected java.lang.String` | `getValueFromNamedTokenExposeNull(java.lang.String token, java.lang.String valueDelim)` getValueFromNamedTokenExposeNull() - get value from a token of the form "name : value".
`VersionDescriptionAdmin` | `getVersionDescriptionAdmin()` get the VersionDescription admin task manager
`protected VersionDescriptionDefinition` | `getVersionDescriptionDefinitionFromSectionParams(LibrarySession sess, ParameterTable params)` getVersionDescriptionDefinitionFromSectionParams() - returns a cloned VersionDescriptionDefinition if one is indicated in the section parameters, as indicated by a VersionDescriptionDefinition = xxx specification.
`VersionSeriesAdmin` | `getVersionSeriesAdmin()` get the VersionSeries admin task manager
`protected PublicObject` | `identifyPublicObject(LibrarySession sess, java.lang.Long id, java.lang.String name, java.lang.String valueDefaultName, java.lang.String path, java.lang.String className, java.lang.String nameAttrname)` identifyPublicObject() - method used by several PublicObject admin classes to identify an object based on one of: 1.
`protected PublicObject` | `identifyPublicObjectByPath(LibrarySession sess, java.lang.String path)` identifyPublicObjectByPath() - method used by several PublicObject admin classes to identify an object based on the path of the publi object.
`protected PublicObject[]` | `identifyPublicObjects(LibrarySession sess, java.lang.Long id, java.lang.String name, java.lang.String className, java.lang.String nameAttrname)` identifyPublicObjects() - return set of PublicObjects based on: 1.
`protected boolean` | `isValueNullFromNamedToken(java.lang.String token, java.lang.String valueDelim)` isValueNullFromNamedToken() - return indication as to whehter a named token's value is null.
`static void` | `main(java.lang.String[] args)` This method starts the Test.
`void` | `performOperation()` performOperation() - called by run() to run the script.
`protected void` | `removeGlobalToken(java.lang.String key)` removeGlobalToken() - remove a token from the global table.
`protected java.lang.String` | `replaceIfArgumentSpec(java.lang.String string)` replaceIfArgumentSpec() - replace String with the passed-parameter value if the specified String conforms to the ArgumnetSpec syntax.
`protected java.lang.String` | `replaceIfArgumentSpecExposeNull(java.lang.String string)` replaceIfArgumentSpecExposeNull() - similar to replaceIfArgumentSpec but expose an explicit NULL seting as the NULL token, so that callre can distinguish between NULL and not-set.
`protected java.lang.String` | `replaceWithInputParamIfArgumentSpec(java.lang.String string)`
`void` | `run()`
`protected void` | `setDefinitionFromSectionParams(LibrarySession sess, ParameterTable params, LibraryObjectDefinition def)` setDefinitionFromSectionParams() - calls main variant of setDefinitionFromSectionParams with the forceNameUpper parameter set to true.
`protected void` | `setDefinitionFromSectionParams(LibrarySession sess, ParameterTable params, LibraryObjectDefinition def, boolean forceNameUpper)` setDefinitionFromSectionParams() - apply any attribuite settings and other section settings to the specified LODef.

Methods inherited from class oracle.ifs.common.BaseApp
`connect, Connect, connect, Connect, Connect, Connect, connect, Connect, connect, Connect, Disconnect, getCachePerformanceString, getCleartextCredential, getCleartextCredential, getConnectionPoolPerformanceString, getConnectOptions, getConnectOptions, getConnectOptions, getLocale, showCachePerformance, showConnectionPoolPerformance`

Methods inherited from class oracle.ifs.common.BaseMain
`getElapsedTime, getParameterTable, initTrace, log, log, logCurrentTimestamp, printStackTrace, setTimer, showElapsedTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_ShowIdsInOutput

    protected boolean m_ShowIdsInOutput

### m_ShowStackTraces

    protected boolean m_ShowStackTraces

### m_TestMode

    protected boolean m_TestMode

### m_TestModeTransaction

    protected Transaction m_TestModeTransaction

### m_TaskTransaction

    protected Transaction m_TaskTransaction

### m_ValueDelimiter

    protected java.lang.String m_ValueDelimiter

### m_ArrayValueDelimiter

    protected java.lang.String m_ArrayValueDelimiter

### m_ValueFormatDelimiter

    protected java.lang.String m_ValueFormatDelimiter

### m_SectionParameterDelimiter

    protected java.lang.String m_SectionParameterDelimiter

### m_DefaultSectionParameterDelimiter

    protected java.lang.String m_DefaultSectionParameterDelimiter

### m_ArrayEnclosureBegin

    protected java.lang.String m_ArrayEnclosureBegin

### m_ArrayEnclosureEnd

    protected java.lang.String m_ArrayEnclosureEnd

### m_PermissionBundlePrefix

    protected java.lang.String m_PermissionBundlePrefix

### m_ExtendedPermissionPrefix

    protected java.lang.String m_ExtendedPermissionPrefix

### m_InputParamTokenList

    protected java.lang.String[] m_InputParamTokenList

### m_InputParamTokenTable

    protected java.util.Hashtable m_InputParamTokenTable

### m_CurrentTokenList

    protected java.lang.String[] m_CurrentTokenList

### m_NullValueToken

    protected java.lang.String m_NullValueToken

### m_OmitValueToken

    protected java.lang.String m_OmitValueToken

### m_ActiveSections

    protected java.util.Hashtable m_ActiveSections

### m_LastTaskSuccess

    protected boolean m_LastTaskSuccess

### m_ReturnOnError

    protected boolean m_ReturnOnError

### m_ExitOnError

    protected boolean m_ExitOnError

### m_LastException

    protected IfsException m_LastException

### m_TraceSections

    protected boolean m_TraceSections

### m_SkipCreationIfExists

    protected boolean m_SkipCreationIfExists

### m_SkipFreeIfNotExists

    protected boolean m_SkipFreeIfNotExists

### m_AclAdmin

    protected AccessControlListAdmin m_AclAdmin

### m_ApplicationObjectAdmin

    protected ApplicationObjectAdmin m_ApplicationObjectAdmin

### m_AttributeValueAdmin

    protected AttributeValueAdmin m_AttributeValueAdmin

### m_CategoryAdmin

    protected CategoryAdmin m_CategoryAdmin

### m_ClassDomainAdmin

    protected ClassDomainAdmin m_ClassDomainAdmin

### m_ClassObjectAdmin

    protected ClassObjectAdmin m_ClassObjectAdmin

### m_ContextAdmin

    protected ContextAdmin m_ContextAdmin

### m_DefinitionAdmin

    protected DefinitionAdmin m_DefinitionAdmin

### m_DirectoryServiceAdmin

    protected DirectoryServiceAdmin m_DirectoryServiceAdmin

### m_DirectoryUserAdmin

    protected DirectoryUserAdmin m_DirectoryUserAdmin

### m_DirectoryGroupAdmin

    protected DirectoryGroupAdmin m_DirectoryGroupAdmin

### m_DocumentAdmin

    protected DocumentAdmin m_DocumentAdmin

### m_ExtendedPermissionAdmin

    protected ExtendedPermissionAdmin m_ExtendedPermissionAdmin

### m_FamilyAdmin

    protected FamilyAdmin m_FamilyAdmin

### m_FolderAdmin

    protected FolderAdmin m_FolderAdmin

### m_FormatAdmin

    protected FormatAdmin m_FormatAdmin

### m_MediaAdmin

    protected MediaAdmin m_MediaAdmin

### m_MountPointAdmin

    protected MountPointAdmin m_MountPointAdmin

### m_PermissionBundleAdmin

    protected PermissionBundleAdmin m_PermissionBundleAdmin

### m_PropertyBundleAdmin

    protected PropertyBundleAdmin m_PropertyBundleAdmin

### m_PolicyAdmin

    protected PolicyAdmin m_PolicyAdmin

### m_SearchObjectAdmin

    protected SearchObjectAdmin m_SearchObjectAdmin

### m_SelectorObjectAdmin

    protected SelectorObjectAdmin m_SelectorObjectAdmin

### m_SystemLockObjectAdmin

    protected SystemLockObjectAdmin m_SystemLockObjectAdmin

### m_UserProfileAdmin

    protected UserProfileAdmin m_UserProfileAdmin

### m_ValueDefaultAdmin

    protected ValueDefaultAdmin m_ValueDefaultAdmin

### m_ValueDomainAdmin

    protected ValueDomainAdmin m_ValueDomainAdmin

### m_VersionDescriptionAdmin

    protected VersionDescriptionAdmin m_VersionDescriptionAdmin

### m_VersionSeriesAdmin

    protected VersionSeriesAdmin m_VersionSeriesAdmin

Constructor Detail

### AdminManager

    public AdminManager(java.lang.String[] args)

  The only constructor that is being used.

  Parameters:
    `args` - commandline arguments

### AdminManager

    public AdminManager()

  Default constructor

Method Detail

### main

    public static void main(java.lang.String[] args)

  Description copied from class: `AdminManager`
  This method starts the Test.

  Parameters:
    `args` - the test arguments.

### run

    public void run()

### getStringId

    public java.lang.String getStringId(LibraryObject obj)
                                 throws IfsException

  Description copied from class: `AdminManager`
  Get an object's Id suitable for printing to canonlog.

  Parameters:
    `obj` - Requested object.
  Throws:
    `IfsException`

### getAccessControlListAdmin

    public AccessControlListAdmin getAccessControlListAdmin()

  Description copied from class: `AdminManager`
  get the AccessControlList admin task manager

### getApplicationObjectAdmin

    public ApplicationObjectAdmin getApplicationObjectAdmin()

  Description copied from class: `AdminManager`
  get the ApplicationObject admin task manager

### getAttributeValueAdmin

    public AttributeValueAdmin getAttributeValueAdmin()

  Description copied from class: `AdminManager`
  get the AttributeValue admin task manager

### getCategoryAdmin

    public CategoryAdmin getCategoryAdmin()

  Description copied from class: `AdminManager`
  get the CategoryAdmin task manager

### getClassDomainAdmin

    public ClassDomainAdmin getClassDomainAdmin()

  Description copied from class: `AdminManager`
  get the ClassDomain admin task manager

### getClassObjectAdmin

    public ClassObjectAdmin getClassObjectAdmin()

  Description copied from class: `AdminManager`
  get the ClassObject admin task manager

### getContextAdmin

    public ContextAdmin getContextAdmin()

  Description copied from class: `AdminManager`
  get the Context admin task manager

### getDefinitionAdmin

    public DefinitionAdmin getDefinitionAdmin()

  Description copied from class: `AdminManager`
  get the DefinitionAdmin admin task manager

### getDirectoryGroupAdmin

    public DirectoryGroupAdmin getDirectoryGroupAdmin()

  Description copied from class: `AdminManager`
  get the DirectoryGroup admin task manager

### getDirectoryUserAdmin

    public DirectoryUserAdmin getDirectoryUserAdmin()

  Description copied from class: `AdminManager`
  get the DirectoryUser admin task manager

### getDirectoryServiceAdmin

    public DirectoryServiceAdmin getDirectoryServiceAdmin()

  Description copied from class: `AdminManager`
  get the DirectoryService admin task manager

### getDocumentAdmin

    public DocumentAdmin getDocumentAdmin()

  Description copied from class: `AdminManager`
  get the Documentadmin task manager

### getExtendedPermissionAdmin

    public ExtendedPermissionAdmin getExtendedPermissionAdmin()

  Description copied from class: `AdminManager`
  get the ExtendedPermission admin task manager

### getFamilyAdmin

    public FamilyAdmin getFamilyAdmin()

  Description copied from class: `AdminManager`
  get the Family admin task manager

### getFolderAdmin

    public FolderAdmin getFolderAdmin()

  Description copied from class: `AdminManager`
  get the Folder admin task manager

### getFormatAdmin

    public FormatAdmin getFormatAdmin()

  Description copied from class: `AdminManager`
  get the Format admin task manager

### getMediaAdmin

    public MediaAdmin getMediaAdmin()

  Description copied from class: `AdminManager`
  get the Media admin task manager

### getMountPointAdmin

    public MountPointAdmin getMountPointAdmin()

  Description copied from class: `AdminManager`
  get the Mount point admin task manager

### getPermissionBundleAdmin

    public PermissionBundleAdmin getPermissionBundleAdmin()

  Description copied from class: `AdminManager`
  get the PermissionBundle admin task manager

### getPolicyAdmin

    public PolicyAdmin getPolicyAdmin()

  Description copied from class: `AdminManager`
  get the Policy admin task manager

### getPropertyBundleAdmin

    public PropertyBundleAdmin getPropertyBundleAdmin()

  Description copied from class: `AdminManager`
  get the PropertyBundle admin task manager

### getSearchObjectAdmin

    public SearchObjectAdmin getSearchObjectAdmin()

  Description copied from class: `AdminManager`
  get the SearchObject admin task manager

### getSelectorObjectAdmin

    public SelectorObjectAdmin getSelectorObjectAdmin()

  Description copied from class: `AdminManager`
  get the SelectorObject admin task manager

### getSystemLockObjectAdmin

    public SystemLockObjectAdmin getSystemLockObjectAdmin()

  Description copied from class: `AdminManager`
  get the SystemLockObject admin task manager

### getUserProfileAdmin

    public UserProfileAdmin getUserProfileAdmin()

  Description copied from class: `AdminManager`
  get the UserProfile admin task manager

### getValueDefaultAdmin

    public ValueDefaultAdmin getValueDefaultAdmin()

  Description copied from class: `AdminManager`
  get the ValueDefault admin task manager

### getValueDomainAdmin

    public ValueDomainAdmin getValueDomainAdmin()

  Description copied from class: `AdminManager`
  get the ValueDomain admin task manager

### getVersionDescriptionAdmin

    public VersionDescriptionAdmin getVersionDescriptionAdmin()

  Description copied from class: `AdminManager`
  get the VersionDescription admin task manager

### getVersionSeriesAdmin

    public VersionSeriesAdmin getVersionSeriesAdmin()

  Description copied from class: `AdminManager`
  get the VersionSeries admin task manager

### performOperation

    public void performOperation()
                          throws IfsException

  Description copied from class: `AdminManager`
  performOperation() - called by run() to run the script. This can also be called directly.

  Throws:
    `IfsException`

### getDefinitionFromSectionParams

    protected LibraryObjectDefinition getDefinitionFromSectionParams(LibrarySession sess,
                                                                     ParameterTable params)
                                                              throws IfsException

  Description copied from class: `AdminManager`
  getDefinitionFromSectionParams() - returns a cloned LibraryObjectDefinition is an explicit Definition specified in the Section.

  Throws:
    `IfsException`

### getVersionDescriptionDefinitionFromSectionParams

    protected VersionDescriptionDefinition getVersionDescriptionDefinitionFromSectionParams(LibrarySession sess,
                                                                                            ParameterTable params)
                                                                                     throws IfsException

  Description copied from class: `AdminManager`
  getVersionDescriptionDefinitionFromSectionParams() - returns a cloned VersionDescriptionDefinition if one is indicated in the section parameters, as indicated by a VersionDescriptionDefinition = xxx specification. This is used to create versionable objects.

  Throws:
    `IfsException`

### setDefinitionFromSectionParams

    protected void setDefinitionFromSectionParams(LibrarySession sess,
                                                  ParameterTable params,
                                                  LibraryObjectDefinition def)
                                           throws IfsException

  Description copied from class: `AdminManager`
  setDefinitionFromSectionParams() - calls main variant of setDefinitionFromSectionParams with the forceNameUpper parameter set to true.

  Throws:
    `IfsException`

### setDefinitionFromSectionParams

    protected void setDefinitionFromSectionParams(LibrarySession sess,
                                                  ParameterTable params,
                                                  LibraryObjectDefinition def,
                                                  boolean forceNameUpper)
                                           throws IfsException

  Description copied from class: `AdminManager`
  setDefinitionFromSectionParams() - apply any attribuite settings and other section settings to the specified LODef.

  Throws:
    `IfsException`

### getStringAVFromToken

    protected AttributeValue getStringAVFromToken(LibrarySession sess,
                                                  java.lang.String token,
                                                  java.lang.String valueDelim)
                                           throws IfsException

  Description copied from class: `AdminManager`
  getStringAVFromToken() - get an AV of type String from a token.

  Throws:
    `IfsException`

### getBooleanAVFromToken

    protected AttributeValue getBooleanAVFromToken(LibrarySession sess,
                                                   java.lang.String token,
                                                   java.lang.String valueDelim)
                                            throws IfsException

  Description copied from class: `AdminManager`
  getBooleanAVFromToken() - get an AV of type Boolean from a token.

  Throws:
    `IfsException`

### getIntegerAVFromToken

    protected AttributeValue getIntegerAVFromToken(LibrarySession sess,
                                                   java.lang.String token,
                                                   java.lang.String valueDelim)
                                            throws IfsException

  Description copied from class: `AdminManager`
  getIntegerAVFromToken() - get an AV of type Integer from a token.

  Throws:
    `IfsException`

### getLongAVFromToken

    protected AttributeValue getLongAVFromToken(LibrarySession sess,
                                                java.lang.String token,
                                                java.lang.String valueDelim)
                                         throws IfsException

  Description copied from class: `AdminManager`
  getLongAVFromToken() - get an AV of type Long from a token.

  Throws:
    `IfsException`

### getDoubleAVFromToken

    protected AttributeValue getDoubleAVFromToken(LibrarySession sess,
                                                  java.lang.String token,
                                                  java.lang.String valueDelim,
                                                  java.lang.String valueformatDelim)
                                           throws IfsException

  Description copied from class: `AdminManager`
  getDoubleAVFromToken() - get an AV of type Date from a token.

  Throws:
    `IfsException`

### getDateAVFromToken

    protected AttributeValue getDateAVFromToken(LibrarySession sess,
                                                java.lang.String token,
                                                java.lang.String valueDelim,
                                                java.lang.String valueformatDelim)
                                         throws IfsException

  Description copied from class: `AdminManager`
  getDateAVFromToken() - get an AV of type Date from a token.

  Throws:
    `IfsException`

### getStringArrayAVFromToken

    protected AttributeValue getStringArrayAVFromToken(LibrarySession sess,
                                                       java.lang.String token,
                                                       java.lang.String valueDelim,
                                                       java.lang.String arrayvalueDelim)
                                                throws IfsException

  Description copied from class: `AdminManager`
  getStringArrayAVFromToken() - get an AV of type String array from a token.

  Throws:
    `IfsException`

### getBooleanArrayAVFromToken

    protected AttributeValue getBooleanArrayAVFromToken(LibrarySession sess,
                                                        java.lang.String token,
                                                        java.lang.String valueDelim,
                                                        java.lang.String arrayvalueDelim)
                                                 throws IfsException

  Description copied from class: `AdminManager`
  getBooleanArrayAVFromToken() - get an AV of type Boolean array from a token.

  Throws:
    `IfsException`

### getIntegerArrayAVFromToken

    protected AttributeValue getIntegerArrayAVFromToken(LibrarySession sess,
                                                        java.lang.String token,
                                                        java.lang.String valueDelim,
                                                        java.lang.String arrayvalueDelim)
                                                 throws IfsException

  Description copied from class: `AdminManager`
  getIntegerArrayAVFromToken() - get an AV of type Integer array from a token.

  Throws:
    `IfsException`

### getLongArrayAVFromToken

    protected AttributeValue getLongArrayAVFromToken(LibrarySession sess,
                                                     java.lang.String token,
                                                     java.lang.String valueDelim,
                                                     java.lang.String arrayvalueDelim)
                                              throws IfsException

  Description copied from class: `AdminManager`
  getLongArrayAVFromToken() - get an AV of type Long array from a token.

  Throws:
    `IfsException`

### getDoubleArrayAVFromToken

    protected AttributeValue getDoubleArrayAVFromToken(LibrarySession sess,
                                                       java.lang.String token,
                                                       java.lang.String valueDelim,
                                                       java.lang.String arrayvalueDelim,
                                                       java.lang.String valueFormatDelim)
                                                throws IfsException

  Description copied from class: `AdminManager`
  getDoubleArrayAVFromToken() - get an AV of type Double array from a token.

  Throws:
    `IfsException`

### getDateArrayAVFromToken

    protected AttributeValue getDateArrayAVFromToken(LibrarySession sess,
                                                     java.lang.String token,
                                                     java.lang.String valueDelim,
                                                     java.lang.String arrayvalueDelim,
                                                     java.lang.String valueFormatDelim)
                                              throws IfsException

  Description copied from class: `AdminManager`
  getDateArrayAVFromToken() - get an AV of type Date array from a token.

  Throws:
    `IfsException`

### getClassObjectArrayAVFromToken

    protected AttributeValue getClassObjectArrayAVFromToken(LibrarySession sess,
                                                            java.lang.String token,
                                                            java.lang.String valueDelim,
                                                            java.lang.String arrayvalueDelim)
                                                     throws IfsException

  Description copied from class: `AdminManager`
  getClassObjectArrayAVFromToken() - get an AV of type ClassObject array from a token.

  Throws:
    `IfsException`

### getPolicyArrayAVFromToken

    protected AttributeValue getPolicyArrayAVFromToken(LibrarySession sess,
                                                       java.lang.String token,
                                                       java.lang.String valueDelim,
                                                       java.lang.String arrayvalueDelim)
                                                throws IfsException

  Description copied from class: `AdminManager`
  getPolicyArrayAVFromToken() - get an AV of type SystemObject array from a token.

  Throws:
    `IfsException`

### getAVArrayFromStringNamedTokenArray

    protected AttributeValue[] getAVArrayFromStringNamedTokenArray(LibrarySession sess,
                                                                   java.lang.String token,
                                                                   java.lang.String valueDelim,
                                                                   java.lang.String arrayvalueDelim)
                                                            throws IfsException

  Description copied from class: `AdminManager`
  getAVArrayFromStringNamedTokenArray() - get an AV[] from token of the form {name1 : value1, name2 : value2}. The AV's will be of type String, and have the name that matches the names in the tokens.

  Throws:
    `IfsException`

### getAVArrayFromBooleanNamedTokenArray

    protected AttributeValue[] getAVArrayFromBooleanNamedTokenArray(LibrarySession sess,
                                                                    java.lang.String token,
                                                                    java.lang.String valueDelim,
                                                                    java.lang.String arrayvalueDelim)
                                                             throws IfsException

  Description copied from class: `AdminManager`
  getAVArrayFromBooleanNamedTokenArray() - get an AV[] from token of the form {name1 : false, name2 : true}. The AV's will be of type boolean, and have the name that matches the names in the tokens.

  Throws:
    `IfsException`

### getNullToken

    protected java.lang.String getNullToken()

  Description copied from class: `AdminManager`
  getNullToken() - returns the current NULL token

### getOmitToken

    protected java.lang.String getOmitToken()

  Description copied from class: `AdminManager`
  getOmitToken() - returns the current OMIT token

### getLineSeparator

    protected java.lang.String getLineSeparator()

  Description copied from class: `AdminManager`
  getLineSeparator() - returns the new line sequence

### ensureNotTestMode

    protected void ensureNotTestMode()
                              throws IfsException

  Description copied from class: `AdminManager`
  ensureNotTestMode() - throw an exception if in testmode

  Throws:
    `IfsException`

### getString

    protected java.lang.String getString(ParameterTable params,
                                         java.lang.String key)

  Description copied from class: `AdminManager`
  getString() - ParameterTable-like method, that also replaces the value if it's an ArgumentSpec (i.e. a $$n spec).

### getStringExposeNull

    protected java.lang.String getStringExposeNull(ParameterTable params,
                                                   java.lang.String key)

  Description copied from class: `AdminManager`
  getStringExposeNull() - ParameterTable-like method, that also replaces the value if it's an ArgumentSpec (i.e. a $$n spec).

### replaceWithInputParamIfArgumentSpec

    protected java.lang.String replaceWithInputParamIfArgumentSpec(java.lang.String string)

### getString

    protected java.lang.String getString(ParameterTable params,
                                         java.lang.String key,
                                         java.lang.String defValue)

  Description copied from class: `AdminManager`
  getString() - ParameterTable-like method, that also replaces the value if it's an ArgumentSpec (i.e. a $$n spec). This variant has a default value if no value is specified.

### getStrings

    protected java.lang.String[] getStrings(ParameterTable params,
                                            java.lang.String key)

  Description copied from class: `AdminManager`
  getStrings() - ParameterTable-like method, that also replaces the value if it's an ArgumentSpec (i.e. a $$n spec).

### getBoolean

    protected java.lang.Boolean getBoolean(ParameterTable params,
                                           java.lang.String key)

  Description copied from class: `AdminManager`
  getBoolean() - ParameterTable-like method, that also replaces the value if it's an ArgumentSpec (i.e. a $$n spec).

### getBoolean

    protected boolean getBoolean(ParameterTable params,
                                 java.lang.String key,
                                 boolean defValue)

  Description copied from class: `AdminManager`
  getBoolean() - ParameterTable-like method, that also replaces the value if it's an ArgumentSpec (i.e. a $$n spec). This variant has a default value if no value is specified.

### getInteger

    protected java.lang.Integer getInteger(ParameterTable params,
                                           java.lang.String key)

  Description copied from class: `AdminManager`
  getInteger() - ParameterTable-like method, that also replaces the value if it's an ArgumentSpec (i.e. a $$n spec).

### getInteger

    protected int getInteger(ParameterTable params,
                             java.lang.String key,
                             int defValue)

  Description copied from class: `AdminManager`
  getInteger() - ParameterTable-like method, that also replaces the value if it's an ArgumentSpec (i.e. a $$n spec). This variant has a default value if no value is specified.

### getLong

    protected java.lang.Long getLong(ParameterTable params,
                                     java.lang.String key)

  Description copied from class: `AdminManager`
  getLong() - ParameterTable-like method, that also replaces the value if it's an ArgumentSpec (i.e. a $$n spec).

### getLong

    protected long getLong(ParameterTable params,
                           java.lang.String key,
                           long defValue)

  Description copied from class: `AdminManager`
  getLong() - ParameterTable-like method, that also replaces the value if it's an ArgumentSpec (i.e. a $$n spec). This variant has a default value if no value is specified.

### replaceIfArgumentSpec

    protected java.lang.String replaceIfArgumentSpec(java.lang.String string)

  Description copied from class: `AdminManager`
  replaceIfArgumentSpec() - replace String with the passed-parameter value if the specified String conforms to the ArgumnetSpec syntax.

### replaceIfArgumentSpecExposeNull

    protected java.lang.String replaceIfArgumentSpecExposeNull(java.lang.String string)

  Description copied from class: `AdminManager`
  replaceIfArgumentSpecExposeNull() - similar to replaceIfArgumentSpec but expose an explicit NULL seting as the NULL token, so that callre can distinguish between NULL and not-set.

### addGlobalToken

    protected void addGlobalToken(java.lang.String key,
                                  java.lang.String string)

  Description copied from class: `AdminManager`
  addGlobalToken() - add a new token to the globla table, so that it can be used via the $$ replacement syntax.

### removeGlobalToken

    protected void removeGlobalToken(java.lang.String key)
                              throws IfsException

  Description copied from class: `AdminManager`
  removeGlobalToken() - remove a token from the global table.

  Throws:
    `IfsException`

### getNameFromNamedToken

    protected java.lang.String getNameFromNamedToken(java.lang.String token,
                                                     java.lang.String valueDelim)
                                              throws IfsException

  Description copied from class: `AdminManager`
  getNameFromNamedToken() - get name from a token of the form "name : value".

  Throws:
    `IfsException`

### isValueNullFromNamedToken

    protected boolean isValueNullFromNamedToken(java.lang.String token,
                                                java.lang.String valueDelim)
                                         throws IfsException

  Description copied from class: `AdminManager`
  isValueNullFromNamedToken() - return indication as to whehter a named token's value is null. Do not return true if the value is omitted (with empty string or expicit OMIT token).

  Throws:
    `IfsException`

### getValueFromNamedToken

    protected java.lang.String getValueFromNamedToken(java.lang.String token,
                                                      java.lang.String valueDelim)
                                               throws IfsException

  Description copied from class: `AdminManager`
  getValueFromNamedToken() - get value from a token of the form "name : value".

  Throws:
    `IfsException`

### getValueFromNamedTokenExposeNull

    protected java.lang.String getValueFromNamedTokenExposeNull(java.lang.String token,
                                                                java.lang.String valueDelim)
                                                         throws IfsException

  Description copied from class: `AdminManager`
  getValueFromNamedTokenExposeNull() - get value from a token of the form "name : value". Return null if the value is omitted. If the value is specified as explciitly NULL, return the null token.

  Throws:
    `IfsException`

### getStringsFromArrayToken

    protected java.lang.String[] getStringsFromArrayToken(java.lang.String token,
                                                          java.lang.String arrayvalueDelim)
                                                   throws IfsException

  Description copied from class: `AdminManager`
  getStringsFromArrayToken() - get String array from a value of the form "{value1, value2, value3}".

  Throws:
    `IfsException`

### getDoubleFromToken

    protected java.lang.Double getDoubleFromToken(java.lang.String token,
                                                  java.lang.String valueformatDelim)
                                           throws IfsException

  Description copied from class: `AdminManager`
  getDateFromToken() - get Double from a value of the form "doublevalue ; dateformat".

  Throws:
    `IfsException`

### getDateFromToken

    protected java.util.Date getDateFromToken(java.lang.String token,
                                              java.lang.String valueformatDelim)
                                       throws IfsException

  Description copied from class: `AdminManager`
  getDateFromToken() - get Date from a value of the form "datevalue ; dateformat".

  Throws:
    `IfsException`

### identifyPublicObject

    protected PublicObject identifyPublicObject(LibrarySession sess,
                                                java.lang.Long id,
                                                java.lang.String name,
                                                java.lang.String valueDefaultName,
                                                java.lang.String path,
                                                java.lang.String className,
                                                java.lang.String nameAttrname)
                                         throws IfsException

  Description copied from class: `AdminManager`
  identifyPublicObject() - method used by several PublicObject admin classes to identify an object based on one of: 1. Id 2. Name.

  Throws:
    `IfsException`

### identifyPublicObjects

    protected PublicObject[] identifyPublicObjects(LibrarySession sess,
                                                   java.lang.Long id,
                                                   java.lang.String name,
                                                   java.lang.String className,
                                                   java.lang.String nameAttrname)
                                            throws IfsException

  Description copied from class: `AdminManager`
  identifyPublicObjects() - return set of PublicObjects based on: 1. Id 2. Name.

  Throws:
    `IfsException`

### identifyPublicObjectByPath

    protected PublicObject identifyPublicObjectByPath(LibrarySession sess,
                                                      java.lang.String path)
                                               throws IfsException

  Description copied from class: `AdminManager`
  identifyPublicObjectByPath() - method used by several PublicObject admin classes to identify an object based on the path of the publi object.

  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD